API Reference
/- Validate any bank account
List all bank account validations
BankAccountValidation
Validate any bank account
Security
JWT
One of:
The country where the customer is located. Country should be sent as a ISO 3166-1 alpha-3 code.
Example:"Ind"
The account number of the bank account as provided by the bank.
Example:"987654321001"
The primary BIC of the bank account. This is the BIC of the bank where the account is held. This is also known as the SWIFT code.
Example:"QWERIN000"
POST
- BankAccount
- BankAccountReference
curl -i -X POST \
https://api.glomopay.com/api/v1/bank_account_validation \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"country": "Ind",
"holder_name": "John Doe",
"account_number": "987654321001",
"bic_primary": "QWERIN000",
"bic_secondary": "YESB0000002"
}'Bank account validation successful
The status of the bank account validation. This does not mean the bank account is valid or invalid. It means the validation process was successful or failed.
Enum:"success""failed"
The message returned by the bank account validation process.
Example:"The account is registered to John Doe"
Response
{ "id": "aval_5JU9yv0lGSUP", "status": "success", "validation_message": "The account is registered to John Doe", "fee_charged": { "amount": 1000, "currency": "USD" } }